Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 46d0bc16c6b5f243985d03defd42e6f148227745)
+++ cpukit/ChangeLog	(revision 9c94f544aacecca30be525d6afc2e1dc50afb451)
@@ -695,8 +1749,72 @@
 	* Makefile.am: Remove AUTOMAKE_OPTIONS.
 	* wrapup/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* itron/configure.ac: AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
+	* itron/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* itron/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* itron/inline/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* itron/macros/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* itron/src/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* posix/configure.ac: AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
+	* posix/src/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* posix/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* posix/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* posix/inline/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* posix/macros/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* score/cpu/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* score/src/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* score/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* score/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* score/inline/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* score/macros/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* sapi/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* sapi/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* sapi/inline/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* sapi/macros/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* sapi/src/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* rtems/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* rtems/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* rtems/inline/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* rtems/macros/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* rtems/src/Makefile.am: Remove AUTOMAKE_OPTIONS.
+
+2002-03-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/system.h: Add __RTEMS_REVISION__.
+
+2002-03-01	Eric Norum <eric.norum@usask.ca>
+
+	* posix/src/pthreadonce.c: Task is not preemptable while running a 
+	pthread_once init function.  This is slightly less heavy handed than
+	disabling dispatching and seems better than consuming a mutex.
+
+2002-02-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/system.h: Add __RTEMS_MAJOR__, __RTEMS_MINOR__.
+
+2002-02-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* posix/src/getegid.c: Add #include <rtems/userenv.h>. Remove #include
+	<rtems/libio_.h>.
+	* posix/src/geteuid.c: Ditto.
+	* posix/src/getgid.c: Ditto.
+	* posix/src/getlogin.c: Ditto.
+	* posix/src/getuid.c: Ditto.
 
 2002-02-05	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* Makefile.am: Readded reference to wrapup.
+	* posix/configure.ac: AC_CONFIG_SRCDIR([src/pthreads.c]).
+	* posix/src/psignal.c: #include <string.h>.
+
+2002-01-29	Joel Sherrill <joel@OARcorp.com>
+
+	* score/include/rtems/score/watchdog.h: Added WATCHDOG_MAXIMUM_INTERVAL.
+
+2002-01-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/system.h: Fix typo in yesterday's change:
+	RTEMS_MULTILIBS.
 
 2002-01-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -715,8 +1833,27 @@
 	* include/rtems/userenv.h: New. extracted from libio_.h.
 
+2002-01-07	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/optman/, posix/optman/.cvsignore, posix/optman/Makefile.am:
+	Removed entire contents of optman/ directory since it has been moved.
+	* sapi/optman/, sapi/optman/.cvsignore, sapi/optman/Makefile.am,
+	sapi/optman/no-ext.c, sapi/optman/no-io.c: Removed entire contents of
+	optman/ directory since it has been moved.
+	* rtems/optman/, rtems/optman/.cvsignore, rtems/optman/Makefile.am,
+	rtems/optman/no-dpmem.c, rtems/optman/no-event.c, rtems/optman/no-mp.c,
+	rtems/optman/no-msg.c, rtems/optman/no-part.c, rtems/optman/no-region.c,
+	rtems/optman/no-rtmon.c, rtems/optman/no-sem.c,
+	rtems/optman/no-signal.c, rtems/optman/no-timer.c: Removed entire
+	contents of optman/ directory since it has been moved.
+
 2002-01-06	Joel Sherrill <joel@OARcorp.com>
 
 	* wrapup/.cvsignore: Readded.
 	* include/.cvsignore: New file.
+
+2002-01-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/seterr.h: Add do {..} while (0) in defines. Rename
+	set_errno_and_return_minus_one into rtems_set_errno_and_return_minus_one.
 
 2002-01-04	Joel Sherrill <joel@OARcorp.com>
@@ -738,4 +1875,6 @@
 	* include/rtems/bspIo.h: Relocated from lib/include.
 	* include/rtems/libio_.h: Relocated from lib/include.
+	* posix/configure.ac: Remove optman/Makefile from CONFIG_FILES.
+	* posix/Makefile.am: Remove optman from SUBDIRS.
 
 2001-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -745,4 +1884,59 @@
 	* wrapup/rtems/Makefile.am: Add multilib support.
 	* Makefile.am: Add multilib support.
+	* itron/src/Makefile.am: Add multilib support.
+	* posix/optman/Makefile.am: Add multilib support. Remove ASM4FLAGS.
+	* posix/src/Makefile.am: Add multilib support.
+	* score/inline/rtems/score/object.inl,
+	score/macros/rtems/score/object.inl: Add add casts to Objects_Id in
+	_Objects_Build_ids to avoid implicit typecasts from enum to int16 on
+	bit16 targets (here: h8300).
+	* score/src/Makefile.am: Add multilib support.
+	* sapi/optman/Makefile.am: Add multilib support.
+	* sapi/src/Makefile.am: Add multilib support.
+	* rtems/src/Makefile.am: Add multilib support.
+	* rtems/optman/Makefile.am: Add multilib support.
+
+2001-11-28	Joel Sherrill <joel@OARcorp.com>,
+
+	PR 91
+	* score/include/rtems/score/isr.h, score/inline/rtems/score/isr.inl,
+	score/macros/rtems/score/isr.inl: Modified to allow any port to provide 
+	its own implementation of the macro _ISR_Is_in_progress.  If the port
+	overrides this macro, it must provide a non-inlined function
+	implementation.
+
+2001-11-20	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/threadhandler.c: When __USE__MAIN__ is defined by the
+	toolset, invoke the global constructors via __main.  Reported as tested
+	by  Alexandra Kossovsky <sasha@oktet.ru> and  Victor V. Vengerov
+	<vvv@oktet.ru> in conjunction with a new set of tool RPMs
+	(gcc2.95.3newlib1.9.0-3).  This was tracked as GNATS PR tools/84.
+
+2001-11-07	Joel Sherrill <joel@OARcorp.com>
+
+	Discovered while fixing PR36 reported by Todor.Todorov@barco.com.
+	* itron/include/rtems/itron/object.h: Corrected _ITRON_Objects_Get()  to
+	use _Objects_Get_by_index().
+	PR 36 (Reported by Todor.Todorov@barco.com)
+	* score/include/rtems/score/object.h: Added prototype for
+	_Objects_Get_by_index().
+	* score/src/objectget.c, score/src/objectgetisr.c: Corrected procedure
+	for getting index from Id so it is correct and optimal for both single
+	and multiprocessor configurations.
+
+2001-10-23	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* rtems/macros/Makefile.am: Replace INLINES w/ MACROS (Fix stupid typo
+	in previous patch).
+
+2001-10-23	Joel Sherrill <joel@OARcorp.com>
+
+	* rtems/macros/rtems/rtems/asr.nil: Fixed typo.
+
+2001-10-22	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/threadhandler.c: Use __USE_INIT_FINI__ since USE_INIT_FINI
+	pollutes the application namespace.
 
 2001-10-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -752,4 +1946,69 @@
 	changes to configuration of rtems, score and sapi subdirs.
 	* Makefile.am: require automake-1.5.
+	* itron/include/itronsys/Makefile.am: Remove.
+	* itron/include/rtems/Makefile.am: Remove.
+	* itron/include/rtems/itron/Makefile.am: Remove.
+	* itron/inline/rtems/Makefile.am: Remove.
+	* itron/inline/rtems/itron/Makefile.am: Remove.
+	* itron/macros/rtems/Makefile.am: Remove.
+	* itron/macros/rtems/itron/Makefile.am: Remove.
+	* itron/include/Makefile.am: handle subdirs.
+	* itron/inline/Makefile.am: handle subdirs.
+	* itron/macros/Makefile.am: handle subdirs.
+	* itron/configure.ac: Reflect changes above.
+	* posix/include/sys/Makefile.am: Remove.
+	* posix/include/rtems/Makefile.am: Remove.
+	* posix/include/rtems/posix/Makefile.am: Remove.
+	* posix/include/Makefile.am: Handle subdirs.
+	* posix/inline/rtems/Makefile.am: Remove.
+	* posix/inline/rtems/posix/Makefile.am: Remove.
+	* posix/inline/Makefile.am: Handle subdirs.
+	* posix/macros/rtems/Makefile.am: Remove.
+	* posix/macros/rtems/posix/Makefile.am: Remove.
+	* posix/macros/Makefile.am: Handle subdirs.
+	* posix/configure.ac: Reflect changes above.
+	* score/include/rtems/Makefile.am: Remove.
+	* score/include/rtems/Makefile.am: Remove.
+	* score/include/Makefile.am: Handle subdirs, require automake-1.5.
+	* score/macros/rtems/Makefile.am: Remove.
+	* score/macros/rtems/score/Makefile.am: Remove.
+	* score/macros/Makefile.am: Handle subdirs, require automake-1.5.
+	* score/inline/rtems/Makefile.am: Remove.
+	* score/inline/rtems/score/Makefile.am: Remove.
+	* score/inline/Makefile.am: Handle subdirs, require automake-1.5.
+	* score/Makefile.am: require automake-1.5.
+	* sapi/include/rtems/Makefile.am: Remove.
+	* sapi/include/Makefile.am: Handle subdirs, require automake-1.5.
+	* sapi/inline/rtems/Makefile.am: Remove.
+	* sapi/inline/Makefile.am: Handle subdirs, require automake-1.5.
+	* sapi/macros/rtems/Makefile.am: Remove.
+	* sapi/Makefile.am: require automake-1.5.
+	* rtems/include/rtems/Makefile.am: Remove.
+	* rtems/include/rtems/rtems/Makefile.am: Remove.
+	* rtems/include/Makefile.am: Handle subdirs, require automake-1.5.
+	* rtems/inline/rtems/Makefile.am: Remove.
+	* rtems/inline/rtems/rtems/Makefile.am: Remove.
+	* rtems/inline/Makefile.am: Handle subdirs, require automake-1.5.
+	* rtems/macros/rtems/Makefile.am: Remove.
+	* rtems/macros/rtems/rtems/Makefile.am: Remove.
+	* rtems/macros: Handle subdirs, require automake-1.5.
+	* rtems/Makefile.am: require automake-1.5.
+
+2001-10-16	Joel Sherrill <joel@OARcorp.com>
+
+	* score/.cvsignore: Add stamp-h.in.
+	* score/include/Makefile.am: Fixed path to cpuopts-tmp.h.
+
+2001-10-16	Chris Johns <ccj@acm.org>
+
+	* sapi/include/confdefs.h, sapi/include/rtems/config.h,
+	sapi/include/rtems/io.h, sapi/optman/no-io.c, sapi/src/exinit.c,
+	sapi/src/io.c: Added a device driver register/unregister interface to
+	allow device drivers to be installed and removed at runtime. This means
+	you do not need devices present in the device table when you build.
+
+2001-10-12	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/include/rtems/directives.h: Fixed typo.
 
 2001-10-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -758,12 +2017,273 @@
 	* configure.in: Remove.
 	* configure.ac: New file, generated from configure.in by autoupdate.
+	* itron/.cvsignore: Add autom4te.cache for autoconf > 2.52.
+	* itron/configure.in: Remove.
+	* itron/configure.ac: New file, generated from configure.in by
+	autoupdate.
+	* posix/.cvsignore: Add autom4te.cache for autoconf > 2.52.
+	* posix/configure.in: Remove.
+	* posix/configure.ac: New file, generated from configure.in by
+	autoupdate.
+
+2001-09-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/score/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* score/include/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* score/inline/rtems/score/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* score/macros/rtems/score/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* sapi/include/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* sapi/include/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* sapi/inline/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* sapi/macros/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* rtems/include/rtems/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* rtems/include/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* rtems/inline/rtems/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* rtems/macros/rtems/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+
+2001-09-28	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/mqueueopen.c, posix/src/semopen.c: Clarify type on va_arg.
+
+2001-09-27	Eric Norum <eric.norum@usask.ca>
+
+	* score/src/threadhandler.c: Now process C++ global constructors (_init)
+	as part of the first task execution not in BSP space. This depends on
+	the toolset defining USE_INIT_FINI so you have to have the right toolset
+	version.
+
+2001-09-23	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* itron/include/itronsys/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* itron/include/rtems/itron/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* itron/include/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* itron/inline/rtems/itron/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* itron/macros/rtems/itron/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* posix/include/sys/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* posix/include/rtems/posix/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* posix/include/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* posix/inline/rtems/posix/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* posix/macros/rtems/posix/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* score/include/rtems/score/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* score/include/rtems/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* score/inline/rtems/score/Makefile.am: Use 'PREINSTALL_FILES ='.
+	* score/macros/rtems/score/Makefile.am: Use 'PREINSTALL_FILES ='.
 
 2001-09-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* wrapup/rtems/Makefile.am: Fix comments to make automake-1.5 happy.
+	* itron/src/Makefile.am: Revamp INCLUDES handling to make automake-1.5
+	happy.
+	* posix/optman/Makefile.am: Adapt ASM4FLAGS to automake-1.5 happy.
+	* posix/src/Makefile.am: Adapt INCLUDES to make automake-1.5 happy.
+	* sapi/optman/Makefile.am: Adapt ASM4FLAGS to automake-1.5.
+
+2001-09-14	Fernando Ruiz <fernando.ruiz@ctv.es>
+
+	* rtems/src/tasks.c: Dereference pointer passed to destructor.
+
+2001-09-13	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/sysconf.c: Fix typo syntax error accidentally committed.
+	* posix/src/mprotect.c: New file. Stub required by some gcc's to pass
+	tests. In particular, about 350 ACATS tests fail if this is not present.
+	* posix/src/getpagesize.c: Ditto.
+	* posix/src/sysconf.c: Addition of Solaris value for _SC_STACK_PROT
+	required to pass about 350 ACATS test cases.
+	* posix/src/Makefile.am: Added new files.
+
+2001-08-30	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/macros/rtems/posix/mqueue.inl: Add cast so negation works.
+	* score/ src/coremutex.c, score/src/coremutexseize.c,
+	score/src/coremutexsurrender.c, score/inline/rtems/score/coremutex.inl:
+	The per thread field resource_count should only be manipulated when a
+	mutex is priority ceiling or priority inherit.  This was reported by
+	Chris Johns <ccj@acm.org> who also noticed that the use of switches for
+	all disciplines generated less efficient code than using explicit tests
+	for the one or two cases we were really interested in.  Further review
+	of his modifications made it apparent that the "isa" methods to test
+	mutex discipline were not being used so this modification was swept into
+	the code as well.
+	* score/src/coremutexseize.c: Add missing code for proper handling of
+	nesting acquisitions.  This only impacts building with inlines disabled
+	on the source with the "fast mutex" optimizations. This was post the 4.5
+	branch and did not impact released versions.
+	* rtems/inline/rtems/rtems/attr.inl: Correct typo and use correct
+	attribute RTEMS_SYSTEM_TASK. Reported by Chris Johns <ccj@acm.org>.
+
+2001-08-16	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/mqueuesendsupp.c: Account for possibly blocking during the
+	core send operation.
+	* score/src/coremutexsurrender.c: Use holder thread not executing thread
+	because even though they may and often are the same it is not guaranteed
+	unless the proper attribute is set.
+	* score/include/rtems/score/coremsg.h, score/src/coremsgsubmit.c: Add a
+	new return status to account for blocking sends.  Otherwise, the caller
+	will think that the returned message status will have the ultimate
+	results of the operation.  If the send times out, the final status will
+	be in the return_code of the thread.
+	* rtems/src/msgqsubmit.c: Add a comment indicating that we do not have
+	to account for possibly blocking during the core send operation because
+	Classic API message queue send is always non-blocking.
+
+2001-08-09	Joel Sherrill <joel@OARcorp.com>
+
+	* itron/src/snd_mbx.c, itron/src/tsnd_mbf.c: Unblocking message queue
+	operations should NOT use _Thread_Executing for return status since it
+	is permissible to invoke message send operations from an ISR.  This was
+	reported by Suvrat Gupta <suvrat@utstar.com>.
+	* posix/src/mqueuesendsupp.c: Unblocking message queue operations should
+	NOT use _Thread_Executing for return status since it is permissible to
+	invoke message send operations from an ISR.  This was reported by Suvrat
+	Gupta <suvrat@utstar.com>.
+	* score/include/rtems/score/coremsg.h,
+	score/inline/rtems/score/coremsg.inl, score/src/coremsgsubmit.c:
+	Unblocking message queue operations should NOT use _Thread_Executing for
+	return status since it is permissible to invoke message send operations
+	from an ISR.  This was reported by Suvrat Gupta <suvrat@utstar.com>.
+	* rtems/src/msgqsubmit.c: Unblocking message queue operations should NOT
+	use _Thread_Executing for return status since it is permissible to
+	invoke message send operations from an ISR.  This was reported by Suvrat
+	Gupta <suvrat@utstar.com>.
+
+2001-05-25	Sergei Organov <osv@javad.ru>
+
+	* score/macros/rtems/score/coresem.inl,
+	score/inline/rtems/score/coresem.inl: Cut and paste problem incorrectly
+	enabled interrupts twice with the first time being too early.
+
+2001-05-24	Fernando Ruiz Casas <fernando.ruiz@ctv.es>
+
+	* posix/src/getegid.c, posix/src/geteuid.c, posix/src/getgid.c,
+	posix/src/getlogin.c, posix/src/getuid.c: Now save their values in
+	private user environment.
+
+2001-05-17	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/macros/rtems/posix/mqueue.inl: Implemented missing routines to
+	support message queue FDs.
+	* score/macros/rtems/score/thread..inl: Implemented missing routines for
+	new libc reentrancy support.
+
+2001-05-14	Till Straumann <strauman@slac.stanford.edu>
+
+	* score/src/threaddispatch.c, score/src/threadhandler.c: Per PR211 fix
+	saving/restoring floating point context.  The fpsave and fprestore
+	routines are only used in a executing context which _is_ fp and hence
+	has the FPU enabled. The current behavior required the FPU always to be
+	on which is very dangerous if lazy context switching is used.   [Joel
+	Note: Some ports explicitly enabled the FPU in the FP save and restore
+	routines to avoid this.] The patch also makes sure (on powerpc only)
+	that the FPU is disabled for integer tasks. Note that this is crucial if
+	deferred fp context switching is used. Otherwise, fp context corruption
+	may go undetected! Also note that even tasks which merely push/pop FP
+	registers to/from the stack without modifying them still MUST be FP
+	tasks - otherwise (if lazy FP context switching is used), FP register
+	corruption (of other, FP, tasks may occur)! Furthermore, (on PPC) by
+	default, lazy FP context save/restore is _disabled_.
+
+2001-05-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/score/.cvsignore: Add stamp-h, cpuopts.h,
+	cpuopts.h.in, cpuopts-tmp.h.
+
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/src/exinit.c: Slightly rework initialization so there is a valid
+	thread as _Thread_Executing when the pre_tasking hook is called.  This
+	allows one directives and malloc to potentially use mutex protection.
 
 2001-04-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* configure.in: Add [-ansi -fasm] to RTEMS_PROG_CC_FOR_TARGET.
+	* itron/configure.in: Add [-ansi -fasm] to RTEMS_PROG_CC_FOR_TARGET.
+	* posix/configure.in: Add [-ansi -fasm] to RTEMS_PROG_CC_FOR_TARGET.
+
+2001-04-26	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/include/rtems/posix/mqueue.h,
+	posix/inline/rtems/posix/mqueue.inl, posix/src/mqueue.c,
+	posix/src/mqueueclose.c, posix/src/mqueuecreatesupp.c,
+	posix/src/mqueuegetattr.c, posix/src/mqueuenotify.c,
+	posix/src/mqueueopen.c, posix/src/mqueuerecvsupp.c,
+	posix/src/mqueuesendsupp.c, posix/src/mqueuesetattr.c: Per PR81 reworked
+	to add a message queue descriptor separate from the underlying message
+	queue.  This allows non-blocking to follow the "open" not the underlying
+	queue.
+	* score/src/objectcomparenamestring.c: Fix typos.
+	* score/include/rtems/score/object.h,
+	score/inline/rtems/score/object.inl, score/
+	src/objectcomparenamestring.c: Address PR81 that reworked POSIX message
+	queues to add a descriptor separate from the underlying message queue. 
+	This allows non-blocking to follow the "open" not the underlying queue. 
+	As part of debugging this it became clear that
+	_Objects_Compare_name_string was broken and a simple version using
+	strncmp() was substituted.
+
+2001-04-22	Joel Sherrill <joel@OARcorp.com>
+
+	* itron/src/task.c (_ITRON_Task_User_extensions): Add new fields to  be
+	correct in respect to newly added fields for separate switch list.
+
+2001-04-16	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/include/confdefs.h: Fix real-time clock support.
+
+2001-04-11	Joel Sherrill <joel@OARcorp.com>
+
+	* score/macros/rtems/score/userext.inl: Now works after merging patch
+	for functionality requested in PR174.
+	* score/inline/rtems/score/userext.inl: Added a comment explaining the
+	order in which routines appear since it is not the obvious order.
+
+2001-04-08	Joel Sherrill <joel@OARcorp.com>
+
+	* score/macros/rtems/score/object.inl: Corrected arguments.
+	* score/macros/rtems/score/userext.inl: Updated to reflect modifications
+	to inline version from PR142.
+	* score/inline/rtems/score/userext.inl: Cleanup as side-effect of above.
+	* rtems/src/tasks.c: Pre-initialized switch extension for list.
+	* rtems/macros/rtems/score/timer.inl: Corrected typo on end of line.
+
+2001-03-29	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR126, configuration structures now match docs.
+	* sapi/include/rtems/config.h: Use public data types.
+	* Per PR126, configuration structures now match docs.
+	* rtems/include/rtems/rtems/config.h: Use public data types.
+	* Per PR147 addressed problems when reseting and inserting a timer into
+	a timer chain that did not honor time passage since the last time the
+	timer server was scheduled and the new insertion.
+	* rtems/include/rtems/rtems/timer.h, rtems/src/timerreset.c,
+	rtems/src/timerserver.c, rtems/src/timerserverfireafter.c,
+	rtems/src/timerserverfirewhen.c: Broke up the "reset server" routine
+	into a set of very specific routines that allowed the server to be
+	unscheduled, timer chains to be "synchronized" with the current time
+	before inserting a new timer.
+
+2001-03-28	Joel Sherrill <joel@OARcorp.com>
+
+	* PR132 requested some tinkering ot lower memory.
+	* sapi/include/confdefs.h: Lowered footprint of device driver table and
+	statically configure user extensions.  Now if no static extensions are
+	configured, then the table is not instantiated.
+
+2001-03-26	Zoltan Kocsi <zoltan@bendor.com.au>
+
+	* rtems/src/eventsurrender.c: Clear event condition when task is
+	unblocked. This makes sure that subsequent event send thinks the task is
+	still blocked and overwrites the initial events received.
+
+2001-03-19	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/sys/utsname.h: Added C++ wrapper.
+
+2001-03-15	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/src/extension.c: Split to reduce minimum code size per PR134.
+	* sapi/src/extensioncreate.c, sapi/src/extensiondelete.c,
+	sapi/src/extensionident.c: New files. src/Makefile.am: Modified to
+	reflect above.
 
 2001-02-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -771,7 +2291,165 @@
 	* configure.in: AC_DEFINE RTEMS_UNIX if RTEMS_CPU=unix.
 
+2001-02-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* itron/include/Makefile.am, itron/include/itronsys/Makefile.am,
+	itron/include/rtems/itron/Makefile.am,
+	itron/inline/rtems/itron/Makefile.am,
+	itron/macros/rtems/itron/Makefile.am: Apply include_*HEADERS instead of
+	H_FILES.
+	* posix/include/Makefile.am, posix/include/rtems/posix/Makefile.am,
+	posix/include/sys/Makefile.am, posix/inline/rtems/posix/Makefile.am,
+	posix/macros/rtems/posix/Makefile.am:  Apply include_*HEADERS instead of
+	H_FILES.
+	* include/rtems/Makefile.am, include/rtems/score/Makefile.am,
+	inline/rtems/score/Makefile.am, macros/rtems/score/Makefile.am Apply
+	include_*HEADERS instead of H_FILES.
+	* sapi/include/Makefile.am, sapi/include/rtems/Makefile.am,
+	sapi/inline/rtems/Makefile.am, sapi/macros/rtems/Makefile.am: Apply
+	include_*HEADERS instead of H_FILES.
+	* rtems/include/Makefile.am, rtems/include/rtems/rtems/Makefile.am,
+	rtems/inline/rtems/rtems/Makefile.am,
+	rtems/macros/rtems/rtems/Makefile.am, rtems/ rtems/optman/Makefile.am:
+	Apply include_*HEADERS instead of H_FILES.
+
+2001-01-31	Joel Sherrill <joel@OARcorp.com>
+
+	* rtems/include/rtems/rtems/timer.h: Missed merging these modifications
+	in previous merge of new timer functionality.
+
+2001-01-29	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/objectextendinformation.c: Added include of string.h to
+	eliminate warning.
+	* Fixed bug where resetting a timer that was not at the head of one of
+	the task timer chains resulted in the Timer Server task waking up too
+	far in the future.
+	* Added rtems_timer_get_information() directive to support testing.
+	* src/timerserver.c, include/rtems/rtems/timer.h, 
+	* rtems/src/timergetinfo.c: New file.
+	* rtems/src/Makefile.am: Modified to reflect above.
+
+2001-01-28	Ralf Corsepius <corsepiu@faw.uni-ulm.d>
+
+	* sapi/include/confdefs.h: define CONFIGURE_NEWLIB_EXTENSION 0 if not
+	using NEWLIB, cleanup related comment.
+
+2001-01-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* sapi/include/confdefs.h: include cpuopts.h, replace stubdr w/ devnull.
+
+2001-01-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* posix/configure.in: Add src/config.h.
+	* posix/src/Makefile.am: Add INCLUDES += -I. to pickup config.h.
+	* posix/src/.cvsignore: Add config.h and stamp-h.
+	* posix/src/*.c: Add config.h support.
+
+2001-01-23	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/alarm.c: Eliminated use of C++ style comments.
+
+2001-01-22	Michael Hamel <mhamel@adi.co.nz>
+
+	* posix/include/rtems/posix/semaphore.h,
+	posix/inline/rtems/posix/semaphore.inl, posix/ src/ptimer1.c,
+	posix/include/rtems/posix/semaphore.h,
+	posix/inline/rtems/posix/semaphore.inl, posix/src/alarm.c,
+	posix/src/ptimer1.c, posix/src/semaphorenametoid.c, posix/src/semopen.c,
+	posix/src/semunlink.c: Modifications to make CodeWarrior happy.
+	* rtems/include/rtems.h, rtems/src/signalcatch.c: Modifications to make
+	CodeWarrior happy.
+
+2001-01-22	Joel Sherrill <joel@OARcorp.com>
+
+	* rtems/include/rtems/rtems/timer.h, rtems/src/timerserver.c: Add
+	priority argument to rtems_timer_initiate_server().
+
+2001-01-18	Joel Sherrill <joel@OARcorp.com>
+
+	* score/include/rtems/system.h: Only include cpuopts.h when building a
+	multilib configuration.  Some ports still need targopts.h but this small
+	modification lets those ports work non-multilib while  fixing being
+	fixed for multilib.
+	* rtems/include/rtems/system.h: Only include cpuopts.h when building a
+	multilib configuration.  Some ports still need targopts.h but this small
+	modification lets those ports work non-multilib while  fixing being
+	fixed for multilib.
+
 2001-01-17	Joel Sherrill <joel@OARcorp.com>
 
 	* ChangeLog: Deleted duplicate blank line.
+
+2001-01-16	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/inline/rtems/posix/mutex.inl (_POSIX_Mutex_Get_support):
+	Corrected name of routine in header.
+	* rtems/Added task-based timers to the Timer Manager.  This added three
+	new directives:  - rtems_timer_initiate_server -
+	rtems_timer_server_fire_after - rtems_timer_server_fire_when In the
+	process of doing this, a number of cleanups were made.
+	* rtems/src/timerserver.c, rtems/src/timerserverfireafter.c,
+	rtems/src/timerserverfirewhen.c: New files.
+	* rtems/include/timer/timer.h: Added new prototypes and supporting types.
+	* rtems/inline/rtems/rtems/timer.h, rtems/macros/rtems/rtems/timer.h:
+	Enhanced _Timer_Is_interval_class() to cover the class
+	TIMER_INTERVAL_ON_TASK.
+	* rtems/src/Makefile.am: Accounted for new files.
+	* rtems/src/rtemstimer.c: Added initialization of _Timer_Server variable.
+	* rtems/src/timercancel.c, rtems/src/timerreset.c: Account for addition
+	of timer classes.  Also corrected the headers.
+	* rtems/src/timercreate.c, rtems/src/timerdelete.c,
+	rtems/src/timerfireafter.c, rtems/ src/timerfireafter.c,
+	rtems/src/timerident.c: Corrected header.
+	* rtems/src/taskmode.c: Ensure the this service does not dispatch before
+	tasking is enabled at initialization time.
+
+2001-01-12	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/clockgetres.c: Fixed match problem.  We are not converting
+	an interval to a timespec -- it is actually a real number of
+	microseconds.
+	* posix/src/README.mqueue: Enhanced example.
+
+2001-01-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/src/threadinitialize.c: Removed warning.
+
+2001-01-08	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/threadinitialize.c: Fix my bad hack of Ralf's fp_area
+	warning removal patch. :(.
+
+2001-01-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* itron/configure.in: Add src/config.h.
+	* itron/src/Makefile.am: Add INCLUDES += -I. to pickup config.h.
+	* itron/src/.cvsignore: Add config.h and stamp-h.
+	* itron/src/*.c: Add config.h support.
+
+2001-01-03	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/isr.c: Modify to properly dereference _ISR_Vector_table now
+	that it is dynamically allocated.
+
+2000-12-19	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/pthreadgetschedparam.c: Do not set output parameters if the
+	pointers are NULL.
+	* score/src/isr.c: Allocate the _ISR_Vector_table all the time not just
+	when we are allocating an interrupt stack.
+
+2000-12-13	Joel Sherrill <joel@OARcorp.com>
+
+	* score/include/rtems/score/isr.h, score/src/isr.c: Allocate it from the
+	workspace rather than explicitly declaring it.  This allows the size to
+	be a non-constant from the perspective of score/cpu.
+
+2000-12-06	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/pthreadgetcpuclockid.c: Add include of <rtems/system.h> to
+	eliminate warning.
+	* rtems/src/regiongetinfo.c: Removed unused variable to eliminate
+	warning.
 
 2000-12-01	Joel Sherrill <joel@OARcorp.com>
